Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Cleanup Class Reference

Base class for objects that are cleaned by ACE_Object_Manager. More...

`#include <Cleanup.h>`

Inheritance diagram for ACE_Cleanup:

[legend]
List of all members.

## Public Member Functions
| ACE_Cleanup (void)
| No-op constructor.
virtual | ~ACE_Cleanup (void)
| Destructor.
virtual void | cleanup (void *param=0)
| Cleanup method that, by default, simply deletes itself.

## Detailed Description

Base class for objects that are cleaned by ACE_Object_Manager.

## Constructor & Destructor Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE ACE_Cleanup::ACE_Cleanup | ( | void |  | ) |

| No-op constructor.

ACE_Cleanup::~ACE_Cleanup | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL void ACE_Cleanup::cleanup | ( | void * | param = `0` | ) | `[virtual]`

| Cleanup method that, by default, simply deletes itself. Reimplemented in ACE_Singleton< TYPE, ACE_LOCK >, and ACE_TSS_Singleton< TYPE, ACE_LOCK >.

The documentation for this class was generated from the following files:

- Cleanup.h
- Cleanup.cpp
- Cleanup.inl